﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Proxer6Lib;

namespace Proxer6_demo
{
    public partial class fMain : Form
    {
        Proxer6 px6 = null;
        public fMain()
        {
            InitializeComponent();
        }

        private void btnInit_Click(object sender, EventArgs e)
        {
            if (px6 != null)
            {
                MessageBox.Show("Deinit first!");
                return;
            }

            uint port;
            if (uint.TryParse(edtComPort.Text, out port))             
            {
                px6 = new Proxer6();
                px6.OnCardRead += new dOnCardRead(px6_OnCardRead); 
               int result = px6.Init(port);
                if (result != 0)
                {
                    MessageBox.Show("Error: " + result);
                }
                else
                {
                    textBox1.AppendText("Init done"+Environment.NewLine);
                }

            }
            else
            {
                MessageBox.Show("Invalid number: "+edtComPort.Text);
            }
        }

        /// <summary>
        /// Show card info
        /// </summary>
        /// <param name="p">Proxer6</param>
        /// <param name="card">Card data</param>
        void px6_OnCardRead(Proxer6 p, Card card)
        {
            this.textBox1.BeginInvoke(
            new MethodInvoker(
            delegate()
            {
                textBox1.AppendText(card.ToString()+Environment.NewLine);
                MessageBox.Show(card.ToString());
            }));
    


        }

        private void DeInit_Click(object sender, EventArgs e)
        {
            if (px6 != null)
            {
                px6.Dispose();
                px6 = null;
            }
        }
    }
}
 